Create a level
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Create a new session level. Requires the write:metadata scope.
Request example
curl --request POST \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/levels/create' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>"}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/levels/create', { method: 'POST', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "<string>" }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "POST", "https://public-api.sessionboard.com/v1/event/{eventId}/levels/create", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "name": "<string>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/levels/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => '{ "name": "<string>"}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("POST", "https://public-api.sessionboard.com/v1/event/{eventId}/levels/create", strings.NewReader(`{ "name": "<string>"}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/levels/create")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"name\": \"<string>\"\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequired
Request body
namestringrequired
{ "name": "<string>"}Responses
200application/json
Level created
A session difficulty level (e.g., Beginner, Intermediate, Advanced).
idstring<uuid>namestringorderintegercreated_atstringupdated_atstring
401
Unauthorized
403
Missing write:metadata scope
Response examples
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "order": 123, "created_at": "<string>", "updated_at": "<string>"}